blk_execute_rq_nowait
Prev | Chapter 17. Block Devices | Next

## Name

blk_execute_rq_nowait — insert a request into queue for execution

## Synopsis

`void blk_execute_rq_nowait (` | struct request_queue * | q,
| struct gendisk * | bd_disk,
| struct request * | rq,
| int | at_head,
| rq_end_io_fn * | done`)`;

## Arguments

`q`

  queue to insert the request in

`bd_disk`

  matching gendisk

`rq`

  request to insert

`at_head`

  insert request at head or tail of queue

`done`

  I/O completion handler

## Description

Insert a fully prepared request at the back of the io scheduler queue for execution. Don't wait for completion.

Prev | Up | Next
blk_end_sync_rq | Home | blk_execute_rq